X-Press Updates

X-Press Updates automatically update your system with the latest plug-in checks and the latest product updates available for Internet Scanner, without having to download and to re-install a new version of Internet Scanner. An update is a package that includes either an update to a component of Internet Scanner or a plug-in check that can be used with Internet Scanner.

X-Press Updates are available from a secure Web server on the ISS Web site and can be:

  • installed on your system automatically via the Web using the X-Press Updates install program, or

  • downloaded to a local drive or to a network share using the X-Press Updates install program, and installed on your system from either of those locations, or

  • downloaded to a local drive or to a network share using the X-Press Updates install program, and installed on your system from either of those locations at a later time.

Subscribe to the X-Press Updates Mailing Lists!


X-Press Updates Install Options

Choose one of the following methods to install or to download X-Press Updates on your system:

If you want to... | select to...
install all new X-Press Updates, which are currently not on your system, from a Web server (if you have Internet access) | install all new X-Press updates from a Web server
install all new X-Press Updates, which are currently not on your system, from a local drive or from a network share (if you do not have Internet access) | install all new X-Press Updates from a local drive or from a network share
select X-Press Updates and install the updates from a Web server (if you have Internet access) | install only selected X-Press Updates from a Web server
select X-Press Updates and install the updates from a local drive or from a network share (if you do not have Internet access) | install only selected X-Press Updates from a local drive or from a network share
select X-Press Updates and download the updates to a local drive or to a network share, so the updates can be installed at a later time | download only selected X-Press Updates


Install only new X-Press Updates from a Web server

To install all new X-Press Updates from a Web server:

Prerequisite: Before you run the X-Press Updates install program, close Internet Scanner.

  1. From the Windows NT Start menu, select Programs [image] ISS [image] Internet Scanner 6.0 [image] X-PressUpdate Install to display the Select Location dialog box.

  2. In the Select Location to search for X-Press Updates area, enable the Web Server option.

  3. To install only new X-Press Updates, which are currently not on your system, select the Install all new X-Press Updates found check box.

  4. Click Next to begin installing the new X-Press Updates on your system. The X-Press Updates install program searches for the new X-Press Updates and automatically installs the updates on your system. After the installation is complete, the Successfully Updated dialog box displays the X-Press Updates that were installed on your system.

  5. Click Close to exit the X-Press Updates install program.


Install only new X-Press Updates from a local directory

To install all new X-Press Updates from a local drive or from a network share:

Prerequisite: Before you run the X-Press Updates install program, close Internet Scanner.

  1. From the Windows NT Start menu, select Programs [image] ISS [image] Internet Scanner 6.0 [image] X-PressUpdate Install to display the Select Location dialog box.

  2. In the Select Location to search for X-Press Updates area, enable the Local Drive or Network Share option.

  3. To install only new X-Press Updates, which are currently not on your system, select the Install all new X-Press Updates found check box.

  4. Click Next to begin installing the new X-Press Updates on your system. The X-Press Updates install program searches for the new X-Press Updates and automatically installs the updates on your system. After the installation is complete, the Successfully Updated dialog box displays the X-Press Updates that were installed on your system.

  5. Click Close to exit the X-Press Updates install program.


Install selected X-Press Updates from a Web server

To select X-Press Updates and to install the updates from a Web server:

Prerequisite: Before you run the X-Press Updates install program, close Internet Scanner.

  1. From the Windows NT Start menu, select Programs [image] ISS [image] Internet Scanner 6.0 [image] X-PressUpdate Install to display the Select Location dialog box.

  2. In the Select Location to search for X-Press Updates area, enable the Web Server option.

  3. Cear the Install all new updates found check box and click Next. The install program searches for X-Press Updates that are available to install on your system and lists the updates in the X-Press Updates Available dialog box.

  4. In the X-Press Updates Available area, enable the Show all X-Press Updates found option to view all the X-Press Updates that were found. A list of the X-Press Updates that were found appear along with the each update’s status (installed or uninstalled).

    Or, to view only the new X-Press Updates, which are currently not on your system, enable the Show new X-Press Updates only option. A list of the new X-Press Updates that were found appear with each update’s status (installed or uninstalled).

  5. To view details on an X-Press Update, such as the update’s name, the update’s path, and the update’s contents, select the X-Press Update and click Details to display the Details dialog box.

  6. In the Operation area, enable the Install the X-Press Updates option.

  7. Click Next to begin installing the X-Press Update on your system.

  8. To install additional X-Press Updates, repeat steps 4 through 6 until you have installed all the selected X-Press Updates on your system.

  9. Once all the X-Press Updates are installed, the Successfully Updated dialog box lists the installed X-Press Updates, including a short description of the update and its update version number.

  10. Click Close to exit the X-Press Updates install program.


Install selected X-Press Updates from a local directory

To select X-Press Updates and to install the updates from a local drive or from a network share:

Prerequisite:

  • Before you run the X-Press Updates install program, close Internet Scanner.

  • Before you can select to install an X-Press Update on your system, download the X-Press Update needs to be from the ISS Web site or install the X-Press Update via CD-ROM to a local drive or to a network share.

  1. From the Windows NT Start menu, select Programs [image] ISS [image] Internet Scanner 6.0 [image] X-PressUpdate Install to display the Select Location dialog box.

  2. In the Select Location to search for X-Press Updates area, enable the Local Drive or Network Share option and type the directory path that contains the X-Press Updates that were downloaded from the ISS Web site, or installed via CD-ROM.

    When you install X-Press Updates from an update CD-ROM or download X-Press Updates from the ISS Web site, Internet Scanner places these updates, by default, in the <Scanner install directory>/Downloaded XPress Updates. These updates will have the .xpu file name extension. For example, C:\Program Files\ISS\Scanner6\DownloadedXPress Updates\*.xpu.

  3. Clear the Install all new updates found check box and click Next. The install program searches for X-Press Updates that are available to install on your system and lists the updates in the X-Press Updates Available dialog box.

  4. In the X-Press Updates Available area, enable the Show all X-Press Updates found option to view all the X-Press Updates that were found. A list of the X-Press Updates that were found appear along with each update’s status (installed or uninstalled).

    Or, to view only the new X-Press Updates, which are currently not on your system, enable the Show new X-Press Updates only option. A list of the new X-Press Updates that were found appear along with each update’s status (installed or uninstalled).

  5. To view details on an X-Press Update, such as the update’s name, the update’s path, and the update’s contents, highlight the update and click Details to display the Details dialog box.

  6. In the Operation area, enable the Install the X-Press Updates option.

  7. Click Next to begin installing the selected X-Press Updates to a local drive or to a network share.

  8. To install additional X-Press Updates, repeat steps 4 through 6 until you have installed all the selected X-Press Updates on your system.

  9. Once all the X-Press Updates are installed to a local drive or to a network share, the Successfully Updated dialog box lists the installed X-Press Updates, including a short description of the update and its update version number.

  10. Click Close to exit the X-Press Updates install program.


Download selected X-Press Updates to a local directory

To select X-Press Updates and to download the updates to a local drive or to a network share:

Prerequisite: Before you run the X-Press Updates install program, close Internet Scanner.

  1. From the Windows NT Start menu, select Programs [image] ISS [image] Internet Scanner 6.0 [image] X-PressUpdate Install to display the Select Location dialog box.

  2. In the Select Location to search for X-Press Updates area, enable the Local Drive or Network Share option and type the directory path that will contain the downloaded X-Press Updates. By default, Internet Scanner places these updates in the <Scanner install directory>\Downloaded XPress Updates. These updates will have the .xpu file extension. For example, C:\Program Files\ISS\Scanner6\DownloadedXPress Updates\*.xpu.

  3. Clear the Install all new updates found check box and click Next. The install program searches for the X-Press Updates that are available to install on your system and lists the updates in the X-Press Updates Available dialog box.

  4. In the X-Press Updates Available area, enable the Show all X-Press Updates found option to view all the X-Press Updates that were found. A list of the X-Press Updates that were found appear along with each update’s status (installed or uninstalled).

    Or, to view only the new X-Press Updates, which are currently not on your system, enable the Show new X-Press Updates only option. A list of the new X-Press Updates that were found appear along with each update’s status (installed or uninstalled).

  5. To view details on an X-Press Update, such as the update’s name, the update’s path, and the update’s contents, highlight the update and click Details to display the Details dialog box.

  6. In the Operation area, enable the Download the X-Press Updates option.

  7. Click Next to begin downloading the X-Press Update to the directory you chose in step 2.

  8. To download additional X-Press Updates, repeat steps 4 through 6 until you have downloaded all the selected X-Press Updates on your system.

  9. Once all the X-Press Updates are downloaded to the directory you chose in step 2, the Successfully Downloaded dialog box lists the installed X-Press Updates, including a short description of the update and its update version number.

  10. Click Close to exit the X-Press Updates install program.


Removing an X-Press Update

To remove an X-Press Update from your system:

Prerequisite: Before you run the X-Press Updates uninstall program, close Internet Scanner.

  1. From the Windows NT Start menu, select Programs [image] ISS [image] Internet Scanner 6.0 [image] X-PressUpdate Uninstall to display the Installed X-Press Updates dialog box.

  2. Select an installed X-Press Update, and click Next to remove the X-Press Update from your system. The Successfully Uninstalled dialog box notifies you when the X-Press Update has been successfully removed from your system.

  3. Click Close to exit the X-Press Updates uninstall program.


Install all new X-Press Updates

Choose one of the following methods to install all new X-Press Updates:

  • Install from a Web server

  • Install from a local drive or a network share


Install selected X-Press Updates

Choose one of the following methods to install only selected X-Press Updates:

  • Install from a Web server

  • Install from a local drive or a network share


X-Press Updates Mailing Lists

The X-Press Updates Mailing Lists at xpress@iss.net or xpress-binary@iss.net are e-mail forums, which provide information on X-Press Updates and automatically e-mail you when there are new X-Press Updates for you to install on your system.


Available X-Press Updates

Lists the X-Press Updates available to download or to install on your system. This list includes a short description, an update number, and the install status for the update.

To view details about the types of exploits the X-Press Update contains, highlight the update and click Details, which displays the X-Press Updates Details dialog box.


X-Press Updates Details

X-Press Update Details

Displays the X-Press Update name, the X-Press Update directory path (Web server, local drive, or network share), and a description of the X-Press Update.


Installed X-Press Updates

Lists the X-Press Updates that are installed on your system and the X-Press Updates that can also be removed from your system.


Installing the X-Press Updates

Shows the status of the install wizard as it installs the X-Press Updates.


Successfully Removing X-Press Updates

Lists which X-Press Updates were successfully removed from your system during the uninstall process.


Removing an X-Press Update

Shows the status of the uninstall wizard as it removes the X-Press Update.


Searching for X-Press Updates

Shows the status of the install wizard as it searches for X-Press Updates that can be installed on or downloaded to your system.


Selecting a Location

Select to install X-Press Updates from a secure Web server on the ISS Web site or from your local drive or a network share.


Successfully Updating X-Press Updates

Successfully Updating or Downloading X-Press Updates

Lists which X-Press Updates were successfully updated on or downloaded to your system during the install.